stimfit (0.14.5-2) experimental; urgency=low

  * Fix several bugs during event detection
  * Fix several bugs during file reading (abf, axograph and hdf5)
  * Alternatively use wx 2.8 instead of wx 3.0 for Debian packages

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Mon, 03 Mar 2015 19:29:58 +0000

stimfit (0.13.19-1) unstable; urgency=low

  * Update to use wxWidgets 3.0 (Closes: #757289)

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 30 Aug 2014 14:40:04 +0000

stimfit (0.13.18-1) unstable; urgency=low

  * Support hdf5 1.8.13 new packaging layout (Closes: #756699)
  * Support dpkg-buildflags with --enable-module
  * Improved information/error messages

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Fri, 01 Aug 2014 10:57:51 +0000

stimfit (0.13.15-1) unstable; urgency=low

  * Fix half duration limits bug
  * Use neo's StimfitIO implementation
  * Address some lintian warnings

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 16 Feb 2014 12:48:51 +0000

stimfit (0.13.13-1) unstable; urgency=low

  * Import/Export from/to python-neo
  * Fix potential buffer overflows
  * Fix some bugs in Python code
  * Use libhdf5-dev instead of libhdf5-serial-dev dependency (Closes: #735157)
  * Use dh-autoreconf to fix FTBFS on ppc64el (Closes: #735231)
  * Distinguish only between Windows and non-Windows builds (implicitly posix)
    (Closes: #728094)

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 09 Feb 2014 10:56:06 +0000

stimfit (0.13.6-1) unstable; urgency=low

  * Export stfio recordings to pandas
  * Improved support for accessing date and time of recordings

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Wed, 11 Dec 2013 21:42:13 +0000

stimfit (0.13.5-1) unstable; urgency=low

  * New upstream release
    - Don't write test results to disk
    - Fall back to gcc/Unix for unknown platforms/compilers
      in axodefn.h (Closes: #728094)
  * Improved batch analysis
  * Multi-channel concatenation
  * Less disruptive warnings and error messages

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 30 Nov 2013 18:23:23 +0000

stimfit (0.13.2-1) unstable; urgency=low

  * New upstream release
    - Disambiguate template type in boost's reset (Closes: #720825)
  * Faster plotting
  * Add support for inner and outer rise time computations
  * Add option 'align to half-amplitude' when computing averages
  * Fix some potential buffer overflows
  * Improve biosig integration
  * Improve deconvolution-based event detection
  * Improve fit initialization for some functions

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 17 Sep 2013 16:47:30 +0000

stimfit (0.12.5-1) UNRELEASED; urgency=low

  * More robust initialization for nonlinear regression
  * Faster convergence for most fits
  * Add support for latest abf2 file format (Clampex 10.4)
  * Fix potential buffer overflow when computing averages

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Mon, 08 Jul 2013 19:55:04 +0000

stimfit (0.12.1-1) experimental; urgency=low

  * Use biosig as additional file reading backend

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 02 Apr 2013 21:22:06 +0000

stimfit (0.11.9-1) UNRELEASED; urgency=low

  * Fix latency measurements in manual peak mode
  * GUI adjustments
  * Build for Debian proper

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Fri, 29 Mar 2013 09:20:13 +0000

stimfit (0.11.8-0lucid1) lucid; urgency=low

  * Make objects iterable in pystfio
  * Prettify fit dialog

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 17 Feb 2013 13:02:28 +0000

stimfit (0.11.7-0lucid1) lucid; urgency=low

  * Add missing library to stfio debian package

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 16 Feb 2013 20:20:24 +0000

stimfit (0.11.6-0lucid1) lucid; urgency=low

  * Corrected some bugs in cursor dialogs

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 16 Feb 2013 14:30:00 +0000

stimfit (0.11.4-0precise1) precise; urgency=low

  * Fixed monoexponential fit with delay
  * Release hdf5 resources after reading / writing a file

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Fri, 20 Apr 2012 17:18:43 +0000

stimfit (0.11.1-1oneiric1) oneiric; urgency=low

  * Added stfio_plot.py to stimfit

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 08 Oct 2011 16:41:23 +0000

stimfit (0.11.1-1natty1) natty; urgency=low

  * Added stfio_plot.py to stimfit

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 08 Oct 2011 16:40:08 +0000

stimfit (0.11.1-1maverick1) maverick; urgency=low

  * Added stfio_plot.py to stimfit

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 08 Oct 2011 16:39:02 +0000

stimfit (0.11.1-1lucid1) lucid; urgency=low

  * Added stfio_plot.py to stimfit

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 08 Oct 2011 16:33:22 +0000

stimfit (0.11.0-1oneiric1) oneiric; urgency=low

  * libstfio factored out as separate, GUI-independent library

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 08 Oct 2011 15:50:54 +0000

stimfit (0.11.0-1natty1) natty; urgency=low

  * libstfio factored out as separate, GUI-independent library

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 08 Oct 2011 15:48:41 +0000

stimfit (0.11.0-1maverick1) maverick; urgency=low

  * libstfio factored out as separate, GUI-independent library

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 08 Oct 2011 15:42:22 +0000

stimfit (0.11.0-1lucid1) lucid; urgency=low

  * libstfio factored out as separate, GUI-independent library

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 08 Oct 2011 14:49:00 +0000

stimfit (0.10.18-2) UNRELEASED; urgency=low

  * Acknowledging previous NMU
  * Adjusted dh_python2 call to
    - invoke it only whenever it is present
    - do not carry hardcoded python version in X-Python-Version
      but rather specify current default using -V cmdline option
  * Use of DEB_BUILD_OPTIONS
    - Condition running tests on not having 'nocheck'
    - Rely on parallel= option to specify number of parallel builds,
      instead of hardcoded -j4
  * Use of dh_numpy (if present) to specify numpy ABI dependency
  * Added ${python:Depends} to stimfit itself

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Mar 2012 17:03:34 -0500

stimfit (0.10.18-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh_python2 to set proper dependencies for
    python-stfio. Note: this only happens for Python 2.7,
    building for all versions needs maintainer work and
    isn't suitable for NMU. Closes: #631983

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 04 Mar 2012 13:33:02 +0000

stimfit (0.10.18-1) unstable; urgency=low

  * Updated copyright notice for numpy.i

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 10 Sep 2011 15:46:33 +0000

stimfit (0.10.17-1oneiric1) oneiric; urgency=low

  * Do not redirect Python stdio to separate Window (Closes: #639672)
  * From previous unreleased version: provide gtest source files (Closes: #631825)

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 30 Aug 2011 23:02:16 +0000

stimfit (0.10.17-1natty1) natty; urgency=low

  * Do not redirect Python stdio to separate Window (Closes: #639672)
  * From previous unreleased version: provide gtest source files (Closes: #631825)

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 30 Aug 2011 22:55:12 +0000

stimfit (0.10.17-1maverick1) maverick; urgency=low

  * Do not redirect Python stdio to separate Window (Closes: #639672)
  * From previous unreleased version: provide gtest source files (Closes: #631825)

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 30 Aug 2011 22:53:32 +0000

stimfit (0.10.17-1lucid2) lucid; urgency=low

  * Added source package

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 30 Aug 2011 22:47:50 +0000

stimfit (0.10.17-1lucid1) lucid; urgency=low

  * Do not redirect Python stdio to separate Window (Closes: #639672)
  * From previous unreleased version: provide gtest source files (Closes: #631825)

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 30 Aug 2011 22:38:59 +0000

stimfit (0.10.17-1) UNRELEASED; urgency=low

  * Do not redirect Python stdio to separate Window (Closes: #639672)
  * From previous unreleased version: provide gtest source files (Closes: #631825)

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 30 Aug 2011 18:17:57 +0000

stimfit (0.10.16-1ubuntu3) natty; urgency=low

  * Provide gtest source files (Closes: #631825)
  * File series conversion implemented by Jose Guzman

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 24 Jul 2011 19:13:35 +0000

stimfit (0.10.16-1ubuntu2) maverick; urgency=low

  * Provide gtest source files (Closes: #631825)
  * File series conversion implemented by Jose Guzman

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 24 Jul 2011 19:10:52 +0000

stimfit (0.10.16-1ubuntu1) lucid; urgency=low

  * Provide gtest source files (Closes: #631825)
  * File series conversion implemented by Jose Guzman

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 24 Jul 2011 19:04:50 +0000

stimfit (0.10.16-1) UNRELEASED; urgency=low

  * Provide gtest source files (Closes: #631825)
  * File series conversion implemented by Jose Guzman

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 24 Jul 2011 16:59:56 +0000

stimfit (0.10.15-0ubuntu3) lucid; urgency=low

  * Igor file export

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 24 May 2011 23:42:50 +0000

stimfit (0.10.15-0ubuntu2) maverick; urgency=low

  * Igor file export

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 24 May 2011 22:36:01 +0000

stimfit (0.10.15-0ubuntu1) natty; urgency=low

  * Igor file export

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 24 May 2011 22:45:06 +0000

stimfit (0.10.14-0ubuntu1) lucid; urgency=low

  * Use unified menu on GTK to resolve problems with Unity
    and gnome-global-menu applet
  * Started support for viewing all channels

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Mon, 11 Apr 2011 14:56:55 +0000

stimfit (0.10.13-1ubuntu5) natty; urgency=low

  * Added scaling support to levmar
  * Fixed a bug in HEKA file reading library
  * Reversioned because of source change

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 02 Apr 2011 14:03:45 +0000

stimfit (0.10.13-1ubuntu4) maverick; urgency=low

  * Added scaling support to levmar
  * Fixed a bug in HEKA file reading library
  * Reversioned because of source change

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 02 Apr 2011 13:57:48 +0000

stimfit (0.10.13-1ubuntu3) natty; urgency=low

  * Added scaling support to levmar
  * Fixed a bug in HEKA file reading library

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 02 Apr 2011 13:27:16 +0000

stimfit (0.10.13-1ubuntu2) maverick; urgency=low

  * Added scaling support to levmar
  * Fixed a bug in HEKA file reading library

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 02 Apr 2011 13:21:56 +0000

stimfit (0.10.13-1ubuntu1) lucid; urgency=low

  * Added scaling support to levmar
  * Fixed a bug in HEKA file reading library

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 02 Apr 2011 12:45:43 +0000

stimfit (0.10.13-1) unstable; urgency=low

  * Added scaling support to levmar
  * Fixed a bug in HEKA file reading library

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 02 Apr 2011 12:33:21 +0000

stimfit (0.10.12-3) unstable; urgency=low

  * Fixed time stamp for Debian.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 26 Feb 2011 12:27:04 +0000

stimfit (0.10.12-2) unstable; urgency=low

  * Fixed version number for Debian.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Wed, 23 Feb 2011 21:10:56 +0000

stimfit (0.10.12-1) UNRELEASED; urgency=low

  * Fixed gtest build on sid.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Wed, 23 Feb 2011 21:10:56 +0000

stimfit (0.10.12-1ubuntu1) natty; urgency=low

  * Fixed gtest build on natty.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Wed, 23 Feb 2011 15:36:31 +0000

stimfit (0.10.11-1ubuntu5) natty; urgency=low

  * Resolved some dependency problems in Python module.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Wed, 23 Feb 2011 14:55:59 +0000

stimfit (0.10.11-1ubuntu4) maverick; urgency=low

  * Resolved some dependency problems in Python module.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Wed, 23 Feb 2011 14:39:29 +0000

stimfit (0.10.11-1ubuntu3) natty; urgency=low

  * Resolved some dependency problems in Python module.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Wed, 23 Feb 2011 14:08:14 +0000

stimfit (0.10.11-1ubuntu2) maverick; urgency=low

  * Resolved some dependency problems in Python module.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Wed, 23 Feb 2011 14:06:39 +0000

stimfit (0.10.11-1ubuntu1) lucid; urgency=low

  * Resolved some dependency problems in Python module.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Wed, 23 Feb 2011 13:53:47 +0000

stimfit (0.10.11-1) unstable; urgency=low

  * Resolved some dependency problems in Python module.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Tue, 22 Feb 2011 20:12:18 +0000

stimfit (0.10.10-1ubuntu1) lucid; urgency=low

  * Failed upload required yet another reversioning...

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Thu, 08 Feb 2011 18:11:03 +0000

stimfit (0.10.9-1ubuntu3) lucid; urgency=low

  * Failed upload required reversioning

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Thu, 08 Feb 2011 17:54:56 +0000

stimfit (0.10.9-1ubuntu2) lucid; urgency=low

  * Moved Python files from dist-packages to private directory
    (/usr/lib/stimfit) to comply with debian packaging rules.
  * Minimal unit testing during build.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Thu, 08 Feb 2011 17:34:09 +0000

stimfit (0.10.9-1ubuntu1) maverick; urgency=low

  * Moved Python files from dist-packages to private directory
    (/usr/lib/stimfit) to comply with debian packaging rules.
  * Minimal unit testing during build.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Thu, 08 Feb 2011 17:31:57 +0000

stimfit (0.10.9-1) unstable; urgency=low

  * Moved Python files from dist-packages to private directory
    (/usr/lib/stimfit) to comply with debian packaging rules.
  * Minimal unit testing during build.
  * Initial Debian release (Closes: #612375)
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Thu, 08 Feb 2011 16:23:29 +0000

stimfit (0.10.8-0ubuntu2) lucid; urgency=low

  * Increased matplotlib compatibility
  * Started to replace printing and graphics export
    functions using matplotlib as the backend

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Thu, 05 Feb 2011 19:44:35 +0000

stimfit (0.10.8-0ubuntu1) maverick; urgency=low

  * Increased matplotlib compatibility
  * Started to replace printing and graphics export
    functions using matplotlib as the backend

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Thu, 05 Feb 2011 19:19:41 +0000

stimfit (0.10.7-0ubuntu2) lucid; urgency=low

  * Fixed "Apply scaling to all windows"

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Mon, 31 Jan 2011 11:00:55 +0000

stimfit (0.10.7-0ubuntu1) maverick; urgency=low

  * Fixed "Apply scaling to all windows"

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Thu, 27 Jan 2011 17:12:21 +0000

stimfit (0.10.6-0ubuntu2) lucid; urgency=low

  * Fixed a bug when accessing files from the Python shell.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Thu, 27 Jan 2011 17:12:21 +0000

stimfit (0.10.6-0ubuntu1) maverick; urgency=low

  * Fixed a bug when accessing files from the Python shell.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Thu, 27 Jan 2011 17:12:21 +0000

stimfit (0.10.5-0ubuntu5) lucid; urgency=low

  * Reversioned for lucid.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 23 Jan 2011 16:32:52 +0000

stimfit (0.10.5-0ubuntu4) lucid; urgency=low

  * Initial release for lucid (10.04).

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 23 Jan 2011 16:24:41 +0000

stimfit (0.10.5-0ubuntu4) maverick; urgency=low

  * Added build-arch to debian rules.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 23 Jan 2011 15:53:17 +0000

stimfit (0.10.5-0ubuntu3) maverick; urgency=low

  * Added source to upload.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 23 Jan 2011 15:04:35 +0000

stimfit (0.10.5-0ubuntu2) maverick; urgency=low

  * Uploaded to wrong ppa.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 23 Jan 2011 15:04:35 +0000

stimfit (0.10.5-0ubuntu1) maverick; urgency=low

  * Initial release.

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sat, 22 Jan 2011 20:06:14 +0000
